local L = LibStub("AceLocale-3.0"):NewLocale("Boing", "enUS", true)

if L then
    -- The DataBroker jumps visibility
    -- Params:
    --         SessionJumps - How Many jumps have occured this play session.
    L["DATA_BROKER_JUMPS"] = function (sessionJumps)
        return "Jumps: " .. sessionJumps
    end
    
    L["DATA_BROKER_TOOL_TITLE"] = "Jump Stats"
    
    -- The Tooltip character jump total
    -- Params:
    --         charName - The Character's Name
    --         totalJumps - Total Number of Jumps on this character.
    L["DATA_BROKER_TOOL_CHARACTER_JUMPS"] = function(charName, totalJumps)
        return charName .." Jumps Total: " .. totalJumps
    end
    
    -- The Tooltip realm jump total
    -- Params:
    --        realmName - Name of the current realm
    --        realmJumps - Total number of jumps across all characters on this realm.
    L["DATA_BROKER_TOOL_REALM_JUMPS"] = function (realmName, realmJumps)
        return realmName .. " Jumps Total: " .. realmJumps
    end
    
    -- The Tooltip global jump total
    -- Params:
    --        globalJumps - Total number of jumps across all characters on this account.
    L["DATA_BROKER_TOOL_GLOBAL_JUMPS"] = function(globalJumps)
        return "Account Jumps Total: " .. globalJumps
    end
    
    -- How many times a character has jumped this session
    -- Params:
    --         SessionJumps - How Many jumps have occured this play session.
    L["CHARACTER_JUMPS_SESSION"] = function(sessionJumps)
        return "You have jumped " .. sessionJumps .. " times this session."
    end
    
    -- How many times a character has jumped in total
    -- Params:
    --         charName - The Characters Name
    --         sessionJumps - How Many jumps have occured this play session.
    --         totalJumps - Total number of jumps on this character.
    L["CHARACTER_JUMPS_TOTAL"] = function(charName, sessionJumps, totalJumps)
        return "You have jumped " .. sessionJumps .. " times this session. You have jumped " .. totalJumps .. " times on " .. charName .. "."
    end
    
    -- How many times characters have jumped on this realm.
    -- Params:
    --         realmName - the name of the realm jumps were calculated for.
    --         realmJumps - Total number of jumps on this realm  
    L["REALM_JUMPS"] = function(realmName, realmJumps)
        return "You have jumped " .. realmJumps .. " times on all the characters of " .. realmName .. "."
    end
    
    -- How many times a character has jumped in total on this account.
    -- Params:
    --         globalJumps - Total number of jumps this Session
    L["GLOBAL_JUMPS"] = function(globalJumps)
        return "You have jumped " .. globalJumps .. " times across all characters on this account."
    end
    
    -- The help command
    -- Params:
    --        The addon name to use for the slash command.
    L["SLASH_HELP"] = function(addonName)
        local text = "The following are the slash commands for the plugin:\n/" ..
        addonName .. "\n" ..
        "- Prints the current session jumps.\n/" ..
        addonName .. " char\n" ..
        "- Prints the current character's total jumps.\n/" ..
        addonName .. " realm\n" ..
        "- Prints the total jumps for all characters on the realm.\n/" ..
        addonName .. " all\n" ..
        "- Prints the total jumps for all characters on the account."
        return text
    end
end